%{?scl:%scl_package postgresql-pglogical}
%{!?scl:%global pkg_name %{name}}

%global postgresql_version 9.5.14

# These must be the same as in the PostgreSQL RPM:
%{!?%packagename:%define packagename %{?scl_prefix}postgresql}

Name:     %{packagename}-pglogical
Version:  1.2.1
Release:  2%{?dist}
Summary:  pglogical - trigger-free streaming logical replication

Group:    Applications/Databases
License:  PostgreSQL
URL:      http://2ndquadrant.com/pglogical
Source0:  http://packages.2ndquadrant.com/pglogical/tarballs/pglogical-%{version}.tar.bz2

BuildRequires:  %{packagename}-devel%{?_isa} = %{postgresql_version}
BuildRequires:  %{packagename}-static%{?_isa} = %{postgresql_version}
Requires:       %{packagename}%{?_isa} >= %{postgresql_version}
Requires:       %{packagename}-server%{?_isa} >= %{postgresql_version}
Requires:       %{packagename}-contrib%{?_isa} >= %{postgresql_version}

# These should match those in the PostgreSQL spec, as they're headers
# PostgreSQL exposes via includes in its own public headers, and/or or that
# pg_config will emit linker options to link to.
#
# These should actually be Requires: dependencies of postgresql94-devel, but
# they aren't; see http://www.postgresql.org/message-id/547C0032.7040309@2ndquadrant.com
#
BuildRequires:  openssl-devel
BuildRequires:  gettext >= 0.10.35
BuildRequires:  libxml2-devel libxslt-devel
BuildRequires:  pam-devel
BuildRequires:  readline-devel
BuildRequires:  zlib-devel >= 1.0.4

# pglogical-output now merged into this package
Provides: %{packagename}-pglogical-output = 1.2.1
Obsoletes: %{packagename}-pglogical-output < 1.2.1

%description
Ths package installs the pglogical plugin that provides logical streaming
replication for PostgreSQL using a publish/subscribe model.  It can be used for
upgrades between major versions, full database replication, selective
replication, & gathering/merging data from multiple upstream servers.

pglogical is developed, maintained, and supported by 2ndQuadrant
(http://2ndquadrant.com).

This package is built for PostgreSQL %{packagename}
from http://yum.postgresql.org/

%prep
%setup -q -n pglogical-%{version}

%build
%{?scl:scl enable %{scl} - << \EOF}
export PATH=%{_bindir}:$PATH
make USE_PGXS=1 -s %{?_smp_mflags}
%{?scl:EOF}

%install
%{?scl:scl enable %{scl} - << \EOF}
export PATH=%{_bindir}:$PATH
make USE_PGXS=1 DESTDIR=%{buildroot} install
%{?scl:EOF}

mkdir -p %{buildroot}%{_docdir}/%{pkg_name}
cp README.md %{buildroot}%{_docdir}/%{pkg_name}/

%files
%{_libdir}/pgsql/pglogical.so
%{_libdir}/pgsql/pglogical_output.so
%{_datadir}/pgsql/extension/pglogical--1.0.0.sql
%{_datadir}/pgsql/extension/pglogical--1.2.0.sql
%{_datadir}/pgsql/extension/pglogical--1.0.0--1.0.1.sql
%{_datadir}/pgsql/extension/pglogical--1.0.1--1.1.0.sql
%{_datadir}/pgsql/extension/pglogical--1.1.0--1.1.1.sql
%{_datadir}/pgsql/extension/pglogical--1.1.1--1.1.2.sql
%{_datadir}/pgsql/extension/pglogical--1.1.2--1.2.0.sql
%{_datadir}/pgsql/extension/pglogical--1.2.0--1.2.1.sql
%{_datadir}/pgsql/extension/pglogical--1.2.1.sql
%{_datadir}/pgsql/extension/pglogical.control
%{_datadir}/pgsql/extension/pglogical_output--1.1.0.sql
%{_datadir}/pgsql/extension/pglogical_output.control
%{_datadir}/pgsql/extension/pglogical_origin--1.0.0.sql
%{_datadir}/pgsql/extension/pglogical_origin.control
%{_bindir}/pglogical_create_subscriber
%{_docdir}/%{pkg_name}/README.md


%changelog
* Mon Sep 10 2018 Satoe Imaishi <simaishi@redhat.com> 1.2.1-2
- Rebuild with rh-postgresql95-postgresql 9.5.14

* Wed Jan 25 2017 Satoe Imaishi <simaishi@redhat.com> 1.2.1-1
- Update to 1.2.1

* Wed Aug 17 2016 Satoe Imaishi <simaishi@redhat.com> 1.0.1-4
- Build for postgresql95, remove check for 94

* Thu May 19 2016 Satoe Imaishi <simaishi@redhat.com> 1.0.1-3
- Patch pglogical for lock issue (from Nick Carboni)

* Tue Mar 22 2016 Satoe Imaishi <simaishi@redhat.com> 1.0.1-2
- Fix the -contrib require

* Mon Mar 21 2016 Satoe Imaishi <simaishi@redhat.com> 1.0.1-1
- Initial Build
